// routes/config.routes.js
import express from 'express';
import { 
    saveColors, 
    getConfigurations, 
    saveCategory, 
    saveSubcategory,
    getYearsFromReports
} from '../controllers/config.controller.js';

const router = express.Router();

// Colores
router.post('/save-colors', saveColors);
router.post('/get-configurations', getConfigurations);

// Categorías
router.post('/save-category', saveCategory);

// Subcategorías
router.post('/save-subcategory', saveSubcategory);

// obtener años
router.post('/get-years', getYearsFromReports)

export default router;
